package org.roboid.robot.impl;

import org.roboid.robot.DeviceType;
import org.roboid.robot.Sensor;

/**
 * @author akaii@kw.ac.kr (Kwang-Hyun Park)
 */
final class FloatSensorImpl extends FloatDeviceImpl implements Sensor
{
	FloatSensorImpl(RoboidImpl parent, int uid, String name, int dataSize, Object initialValue, Object readLock, Object fireLock)
	{
		super(parent, uid, name, dataSize, initialValue, readLock, fireLock);
	}
	
	@Override
	public int getDeviceType()
	{
		return DeviceType.SENSOR;
	}
}
