package org.roboid.android;

/**
 * @author akaii@kw.ac.kr (Kwang-Hyun Park)
 */
interface RoboidIntent
{
	public static final int REQUEST_HARDWARE_LIST = 0x01;
	public static final int RESPONSE_SUCCESS = 0;
	public static final int RESPONSE_ERROR_INVALID_REQUEST = -1;
	public static final int RESPONSE_ERROR_INVALID_CALLBACK = -2;
	
	public static final String PACKAGE_LAUNCHER = "org.smartrobot.roboid.launcher";
	public static final String ACTION_HARDWARE = "org.roboid.intent.action.HARDWARE";
	public static final String CATEGORY_HARDWARE = "org.roboid.intent.category.HARDWARE";
	public static final String EXTRA_PACKAGE_NAME = "org.roboid.intent.extra.PACKAGE_NAME";
	
	public static final String ACTION_CONNECTION_STATE = "org.roboid.intent.action.CONNECTION_STATE";
	public static final String EXTRA_CONNECTION_STATE = "org.roboid.intent.extra.CONNECTION_STATE";
	
	public static final String EXTRA_MODEL_CODE = "org.roboid.intent.extra.MODEL_CODE";
	public static final String EXTRA_HARDWARE_INDEX = "org.roboid.intent.extra.HARDWARE_INDEX";
	public static final String EXTRA_HARDWARE_ICON = "org.roboid.intent.extra.HARDWARE_ICON";
	public static final String EXTRA_HARDWARE_NAME = "org.roboid.intent.extra.HARDWARE_NAME";
}
