package org.roboid.android;

import kr.robomation.physical.Hamster;

/**
 * @author akaii@kw.ac.kr (Kwang-Hyun Park)
 */
final class RobotFactory
{
	static AbstractRobot create(int modelCode, int index)
	{
		switch(modelCode)
		{
		case Hamster.CODE:
			return new HamsterRobot(index);
		}
		return null;
	}
}
