package org.roboid.robot.impl;

import org.roboid.robot.DeviceType;
import org.roboid.robot.Event;

/**
 * @author akaii@kw.ac.kr (Kwang-Hyun Park)
 */
final class IntEventImpl extends IntDeviceImpl implements Event
{
	IntEventImpl(RoboidImpl parent, int uid, String name, int dataSize, Object initialValue, Object readLock, Object fireLock)
	{
		super(parent, uid, name, dataSize, initialValue, readLock, fireLock);
	}
	
	@Override
	public int getDeviceType()
	{
		return DeviceType.EVENT;
	}
}
